from PyTASTileType import *

TEMPERATURE = 2

#  GetSeed is the function called by the simulator to get the definitions and
#  locations of tiles in the seed
def GetSeed():
    ## Test that recursive import works
    #from tester.tester import testMethod    
    #testMethod()
    
    ## Seeds
    t = PyTASTileType()
    #r = t.Copy()
    r = PyTASTileType()
    
    t.sides[N].strength = 2
    t.sides[N].label = "s1N"
#    t.sides[E].strength = 2
#    t.sides[E].label = "s1E"
#    t.sides[S].strength = 2
#    t.sides[S].label = "s1S"
#    t.sides[W].strength = 2
#    t.sides[W].label = "s1W"
    t.label = "SEED1"
    t.name = "BIGSEED"
    
    r.label = "s2"
    r.name = "SMALL_SEED"
    r.sides[E].strength = r.sides[N].strength = 2
    r.sides[E].label = "east"
    r.sides[N].label = "north"
    r.color = "GREEN"
    
    return ((t,(0,0,0)),(r,(1,0,0)))

def GetTileTypes(nbrGlues):
    t = PyTASTileType()
    if nbrGlues.sides[S] != None:
        #print(nbrGlues.sides[S].label + " is the glue to the south of frontier location")
        if nbrGlues.sides[S].label == "north":
            t.name = "NorthClimber"
            t.sides[N].strength = 2
            t.sides[N].label = "north"
            t.sides[S].strength = 2
            t.sides[S].label = "south"
            t.color = "RED"
            t.label = "1"
            
            returnSet = set()
            returnSet.add(t)
            return returnSet
    else:
        return None
